%if 0%{?el7}
%define dist .el7
%endif

Name:		cacti-spine
Version:	0.8.8h
Release:	1%{?dist}
Summary:	a backend data gatherer for cacti

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

Group:		system environment/daemons
License:	LGPL
URL:		http://www.cacti.net/
Source0:	http://www.cacti.net/downloads/spine/%{name}-%{version}.tar.gz

Patch0:     cacti-spine-0.8.8g-help2man.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	mysql-devel, net-snmp-devel, mysql-libs
BuildRequires:  automake, autoconf, libtool
BuildRequires:  help2man, dos2unix

%description
This code represents high speed poller replacement for cmd.php.
It has come quite a ways from it's initial development.  It is almost
100% compatible with the legacy cmd.php processor and provides much
more flexibility than cmd.php.

%prep
%setup -q
#patch0 -p1
./bootstrap
autoreconf -ivf

%build
%configure \
	--enable-shared \
	--with-mysql \
	--with-snmp=%{_prefix}

make

help2man --output=spine.1 --name='Data Collector for Cacti' --no-info --version-option='--version' ./spine

%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT
%{__install} -D -m0755 spine $RPM_BUILD_ROOT%{_bindir}/spine
%{__install} -D -m0644 spine.conf.dist $RPM_BUILD_ROOT%{_sysconfdir}/cacti/spine.conf
%{__install} -D -m0644 spine.1 $RPM_BUILD_ROOT%{_mandir}/man1/spine.1

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog INSTALL LICENSE* NEWS README*
%{!?_licensedir:%global license %%doc}
%license COPYING LICENSE LICENSE.LGPL
%{_bindir}/spine
%{_mandir}/man1/spine.1*
%config(noreplace) %{_sysconfdir}/cacti/spine.conf

%changelog
* Thu May 12 2016 momo-i <webmaster@momo-i.org> - 0.8.8h-1
- Update to 0.8.8h

* Wed Feb 24 2016 momo-i <webmaster@momo-i.org> - 0.8.8g-1
- Update to 0.8.8g

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.8.8f-5
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.8.8f-4
- Rebuilt for fc23

* Tue Jul 21 2015 momo-i <webmaster@momo-i.org> - 0.8.8f-3
- Update to 0.8.8f

* Thu Jul 16 2015 momo-i <webmaster@momo-i.org> - 0.8.8e-2
- Update to 0.8.8e

* Mon Jul 06 2015 momo-i <webmaster@momo-i.org> - 0.8.8d-2
- Update to 0.8.8d
- bug#0002576: Call to a non-existent column of the database in poller.c
- bug#0002578: spine doesn't compile on ubuntu 12.04
- bug#0002585: Spine: buffer overflow in logging when RESULTS_BUFFER>LOGSIZE can SEGV

* Mon Apr 13 2015 momo-i <webmaster@momo-i.org> - 0.8.8c-2
- Rebuilt for fc22

* Thu Nov 27 2014 momo-i <webmaster@momo-i.org> - 0.8.8c-1
- Update to 0.8.8c

* Wed Aug 14 2013 momo-i <webmaster@momo-i.org> - 0.8.8b-1
- Update to 0.8.8b.

* Mon May 28 2012 momo-i <webmaster@momo-i.org> 0.8.8a-1
- Update to 0.8.8a.

* Tue Apr 17 2012 momo-i <webmaster@momo-i.org> 0.8.8-3
- config file noreplace.

* Wed Apr 11 2012 momo-i <webmaster@momo-i.org> 0.8.8-1
- Initial rpm release.
